
<template>
  <form class="flex mx-auto w-[450px]" @submit.prevent>
    <div class="flex flex-row h-[40px] mx-auto w-full">
      <TextInput class="w-[85%]" :name="taskName" :placeholder="placeholder" @input="updateInputValue"/>
      <button
        type="submit"
        class="border border-light-pink rounded-[10px] bg-light-pink w-[40px] h-[40px] ml-2"
        @click="handleAddTask(newTaskName)"
        ><img src="../assets/icons/plus.svg" class="flex mx-auto"/></button>
    </div>
  </form>
</template>

<script setup lang="ts">
import { provide, ref, defineEmits} from "vue";
import TextInput from "./TextInput.vue";

const taskName = ref("taskName");
const placeholder = ref("Názov tasku");
const newTaskName = ref("")

const emit = defineEmits(['addTask'])

const updateInputValue = (value: string) => {
    newTaskName.value = value
};

const handleAddTask = (task: string) => {
    emit('addTask', task)
}

</script>



<style scoped>
</style>